package com.ynet.life.cache.action;

import com.ynet.gene.core.Context;
import com.ynet.life.base.LifeAction;
import com.ynet.life.base.LifeStandard;
import com.ynet.life.base.Trace;
import com.ynet.life.cache.Cache;
import com.ynet.life.exception.TranFailException;

/* loaded from: com_ynet_life_cache_action.jar:com/ynet/life/cache/action/LoadDataToCacheAction.class */
public class LoadDataToCacheAction extends LifeAction {
    private String cacheName;
    private String dataName;

    public String execute(Context context) throws TranFailException {
        try {
            Cache cache = LifeStandard.getCache(this.cacheName);
            Object dataValue = context.getDataValue(this.dataName);
            cache.put(this.dataName, dataValue);
            return "0";
        } catch (Exception unused) {
            Trace.logError("LifeAction", "向缓存加载数据异常");
            throw new TranFailException("EBLN0000", "向缓存加载数据异常");
        }
    }

    public void setCacheName(String cacheName) {
        this.cacheName = cacheName;
    }

    public void setDataName(String dataName) {
        this.dataName = dataName;
    }
}
